# Class CIM_IPXProtocolEndpoint
extends CIM_ProtocolEndpoint

An IPX communication point from which data may be sent or received.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_IPXProtocolEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | An IPX communication point from which data may be sent or received.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Address | string |
Description | string | An IPX address formatted as eight hexadecimal digits representing the network number, followed by a colon, followed by twelve hexadecimal digits representing the host address (e.g. "00112233:010203040506").
ProtocolIFType | uint16 | 4099
Description | string | ProtocolIFType's enumeration is limited to IPX and reserved values for this subclass of ProtocolEndpoint.
MappingStrings | string | MIB.IETF|IF-MIB.ifType
ModelCorrespondence | string | CIM_ProtocolEndpoint.OtherTypeDescription
Override | string | ProtocolIFType
ValueMap | string | 1, 225..4095, 4099, 4301..32767, 32768..
Values | string | Other, IANA Reserved, IPX, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement